### Function

# Gcr pkcs11_add_module_from_file

#### Declaration [src]

    gboolean
    gcr_pkcs11_add_module_from_file (
      const gchar* module_path,
      gpointer unused,
      GError** error
    )

#### Description [src]

Initialize a PKCS#11 module and add it to the modules that are used by the GCR library. Note that is an error to initialize the same PKCS#11 module twice.

It is not normally necessary to call this function. The available PKCS#11 modules installed on the system are automatically loaded by the GCR library.

#### Parameters

`module_path`

  Type: `const gchar*`

  The full file path of the PKCS#11 module.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`unused`

  Type: `gpointer`

  Unused.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether the module was sucessfully added.